---
- name: crater deps installed
  community.general.pkgng:
    name: "git php74-composer php74-intl php74-dom php74-tokenizer php74-xmlwriter php74-xml php74-zip php74-fileinfo php74-pcntl php74-posix php74-simplexml php74-pdo php74-iconv php74-curl php74-bcmath php74-pgsql php74-pdo_pgsql php74-session"
    state: latest

- name: Crater source unpacked
  unarchive:
    src: https://craterapp.com/downloads/file/4.2.0
    dest: /usr/local/src/crater
    remote_src: yes

- name: Crater conf file installed
  template:
    src: app.env.j2
    dest: /usr/local/src/crater/.env
    owner: www
    mode: 0666
  notify: Nginx restarted
